<?php // preliminary page to find a course to import data from & interface with the backup/restore functionality

    /*-----course/import/activities/index.php copy-----*/
    require_once('../../../../config.php');
    require_once($CFG->dirroot.'/course/lib.php');
    require_once($CFG->dirroot.'/backup/restorelib.php');
    require_once('lib.php');
    
    $id               = required_param('id', PARAM_INT);   // course id to import TO
    $fromcourse       = optional_param('fromcourse', 0, PARAM_INT);
    $fromcoursesearch = optional_param('fromcoursesearch', '', PARAM_RAW);
    $page             = optional_param('page', 0, PARAM_INT);
    $filename         = optional_param('filename', 0, PARAM_PATH);
    //refer section
    $section          = required_param('section', PARAM_INT);
    $sectionkeep      = optional_param('sectionkeep');

    $strreferresource = get_string('resourcetyperefer','resource');

    if (! ($course = get_record("course", "id", $id)) ) {
        error("That's an invalid course id");
    }

    if (!$site = get_site()){ 
        error("Couldn't get site course");
    }

    require_login($course->id);
    $tocontext = get_context_instance(CONTEXT_COURSE, $id);
    $fromcontext = get_context_instance(CONTEXT_COURSE, $fromcourse);
    $syscontext = get_context_instance(CONTEXT_SYSTEM, SITEID);

    $creator = true;

    if ($from = get_record('course', 'id', $fromcourse)) {
        if (!empty($filename) && file_exists($CFG->dataroot.'/'.$filename) && !empty($SESSION->import_preferences)) {
            $restore = backup_to_restore_array($SESSION->import_preferences);
            $restore->restoreto = 1;
            $restore->course_id = $id;
            $restore->importing = 1; // magic variable so we know that we're importing rather than just restoring.
            
            //refer section
            $restore->course_sectionin = $section;
	    $restore->course_sectionkeep = $sectionkeep;
            
            $SESSION->restore = $restore;

            redirect_2($CFG->wwwroot.'/mod/resource/type/ref/restore.php?file='.$filename.'&id='.$fromcourse.'&to='.$id.'&section='.$section.'&sectionkeep='.$sectionkeep);
        }
        else {
            redirect_2($CFG->wwwroot.'/mod/resource/type/ref/backup.php?id='.$from->id.'&to='.$course->id.'&section='.$section);
        }
    }
    print_header("$course->shortname: $strreferresource", "$course->fullname", 
                 "<a href=\"$CFG->wwwroot/moodle1/course/view.php?id=$course->id\">$course->shortname</a> ".
                 "-> $strreferresource");
    require_once('mod.php');

    print_footer();
?>